oro_menu_config:
    templates:
        calendar_menu:
            template: 'OroCalendarBundle:Calendar:Menu/contextMenu.html.twig'
            rootClass: 'dropdown-menu context-menu'
    items:
        oro_calendar_view_default:
            label: 'oro.calendar.menu.view_default'
            route: 'oro_calendar_view_default'
            extras:
                position: 20
        oro_calendar_remove_action:
            label: 'oro.calendar.context.remove'
            uri: '#'
            extras:
                position: 20
                module: 'orocalendar/js/calendar/menu/remove-calendar'
                template: 'OroCalendarBundle:Calendar:Menu/removeCalendar.html.twig'
        oro_calendar_toggle_action:
            uri: '#'
            extras:
                position: 10
                module: 'orocalendar/js/calendar/menu/toggle-calendar'
                template: 'OroCalendarBundle:Calendar:Menu/toggleCalendar.html.twig'
        oro_calendar_menu_divider:
            label: ''
            extras:
                position: 95
            attributes:
                class: 'divider'
        oro_calendar_color_action:
            uri: '#'
            extras:
                position: 100
                module: 'orocalendar/js/calendar/menu/change-calendar-color'
                template: 'OroCalendarBundle:Calendar:Menu/changeCalendarColor.html.twig'
        calendar_event_list:
            label: 'oro.calendar.calendarevent.entity_plural_label'
            route: 'oro_calendar_event_index'
            extras:
                position: 50
                routes: ['oro_calendar_event_*']
        oro_system_calendar_list:
            label: 'oro.calendar.systemcalendar.entity_plural_label'
            route: 'oro_system_calendar_index'
            extras:
                position: 95
                routes: ['oro_system_calendar_*']

    tree:
        application_menu:
            children:
                activities_tab:
                    children:
                        calendar_event_list: ~
                system_tab:
                    children:
                        oro_system_calendar_list: ~
        usermenu:
            children:
                oro_calendar_view_default: ~

        calendar_menu:
            type: calendar_menu
            children:
                oro_calendar_remove_action: ~
                oro_calendar_toggle_action: ~
                oro_calendar_menu_divider: ~
                oro_calendar_color_action: ~

oro_titles:
    oro_calendar_view_default: "My Calendar - %%username%%"
    oro_calendar_view: "%%calendarname%% - Calendars - %%username%%"
    oro_calendar_event_index: ~
    oro_calendar_event_view: '%%entity.title%%'
    oro_calendar_event_create: oro.ui.create_entity
    oro_calendar_event_update: '%%entity.title%% - Edit'
    oro_system_calendar_index:  ~
    oro_system_calendar_view: '%%entity.title%%'
    oro_system_calendar_create: oro.ui.create_entity
    oro_system_calendar_update: '%%entity.title%% - Edit'
    oro_system_calendar_event_view: '%%entity.title%% - %%parent.name%%'
    oro_system_calendar_event_create: 'oro.ui.create_entity - %%parent.name%%'
    oro_system_calendar_event_update: '%%entity.title%% - Edit - %%parent.name%%'

oro_navigation_elements:
    pinButton:
        routes:
            oro_calendar_view:         false
            oro_calendar_view_default: false
    favoriteButton:
        routes:
            oro_calendar_view:         false
            oro_calendar_view_default: false
